wreport::tests::ActualStdString Struct Reference
Inheritance diagram for wreport::tests::ActualStdString:

## Public Member Functions

| ActualStdString (const std::string &s)
void | operator== (const std::vector< uint8_t > &expected) const
void | operator!= (const std::vector< uint8_t > &expected) const
void | startswith (const std::string &expected) const
void | endswith (const std::string &expected) const
void | contains (const std::string &expected) const
void | not_contains (const std::string &expected) const
void | matches (const std::string &re) const
void | not_matches (const std::string &re) const
Public Member Functions inherited from wreport::tests::Actual< std::string >
| Actual (const std::string &actual)
void | istrue () const
void | isfalse () const
void | operator== (const E &expected) const
void | operator!= (const E &expected) const
void | operator< (const E &expected) const
void | operator<= (const E &expected) const
void | operator> (const E &expected) const
void | operator>= (const E &expected) const

## Additional Inherited Members

Data Fields inherited from wreport::tests::Actual< std::string >
std::string | _actual

The documentation for this struct was generated from the following file:

- utils/tests.h